﻿@model Schedule.Application.ViewModel.UsuarioViewModel
<head>
    <link rel="stylesheet" href="@Url.ContentVersioned("~/css/site.css")" />    
    <link href="~/lib/jqueryui/jquery-ui.css" rel="stylesheet" />
    <link href="~/lib/bootstrap-multiselect/bootstrap-multiselect.css" rel="stylesheet" />
</head>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <h4>Editar Usuário</h4>
        </div>
    </div>
</div>
<hr />
<br />
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            <form asp-action="Editar">
                <div class="row">

                    <input type="hidden" id="HddTtipoGestaoComAlocacao" value="@ViewBag.tipoGestaoComAlocacaoId" />
                    <input type="hidden" id="HddTipoConsultor" value="@ViewBag.TipoConsultorId" />

                    <div class="form-group col-md-4">
                        <label asp-for="Nome" class="control-label">Nome:</label>
                        <input asp-for="Nome" value="@Model.Nome" class="form-control" placeholder="Digite o Nome..." required />
                        <span asp-validation-for="Nome" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="Login" class="control-label">Login:</label>
                        <input asp-for="Login" value="@Model.Login" class="form-control" placeholder="Digite o Login..." required />
                        <span asp-validation-for="Login" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="Email" class="control-label">Email:</label>
                        <input asp-for="Email" value="@Model.Email" class="form-control" placeholder="Digite o Email..." required />
                        <span asp-validation-for="Email" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="Usuario" class="control-label">Alterado por:</label>
                        <input asp-for="Usuario" value="@Model.Usuario" class="form-control" placeholder="" disabled />
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="DataAlteracao" class="control-label">Última Alteração:</label>
                        <input  value="@Model.DataAlteracao" class="form-control" placeholder="" disabled />
                    </div>

                </div>

                <div class="row">

                    <div class="form-group col-md-4">
                        <label asp-for="PerfilId" class="control-label">Perfil:</label>
                        @Html.DropDownListFor(n => n.PerfilId, (SelectList)ViewBag.Tipoperfil, "Selecione", new { @class = "form-control" })
                        <span asp-validation-for="PerfilId" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="DDD1" class="control-label">DDD:</label>
                        <input asp-for="DDD1" class="form-control" placeholder="Digite o DDD..." required />
                        <span asp-validation-for="DDD1" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="Telefone1" class="control-label">Telefone:</label>
                        <input asp-for="Telefone1" class="form-control" placeholder="Digite o Telefone..." required />
                        <span asp-validation-for="Telefone1" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="DDD2" class="control-label">DDD:</label>
                        <input asp-for="DDD2" class="form-control" placeholder="Digite o DDD..." />
                        <span asp-validation-for="DDD2" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="Telefone2" class="control-label">Telefone(Mensagem):</label>
                        <input asp-for="Telefone2" class="form-control" placeholder="Digite o Telefone..." />
                        <span asp-validation-for="Telefone2" class="text-danger"></span>
                    </div>

                </div>
                <div class="row">

                    <div class="form-group col-md-4">
                        <label asp-for="UF" class="control-label">Estado:</label>
                        @Html.DropDownListFor(n => n.UF, (SelectList)ViewBag.Estados, "Selecione", new { @class = "form-control" })
                        <span asp-validation-for="UF" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="DataInicioContrato" class="control-label">Data de Início:</label>
                        <input asp-for="DataInicioContrato" class="form-control" placeholder="Digite a Data de Início..." required />
                        <span asp-validation-for="DataInicioContrato" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-2">
                        <label asp-for="DataTerminoContrato" class="control-label">Data de Término:</label>
                        <input asp-for="DataTerminoContrato" class="form-control" placeholder="Digite a Data de Termino..." />
                        <span asp-validation-for="DataTerminoContrato" class="text-danger"></span>
                    </div>

                    <div class="form-group col-md-4">
                        <label asp-for="Ativo" class="control-label">Ativo:</label><br />
                        @Html.CheckBoxFor(c => c.Ativo)
                    </div>

                </div>
                <div id="DivConsultor" style="display:@ViewBag.TipoUsuario">

                    <div class="row">
                        <div class="col-md-4">
                            <h5>Dados Consultor</h5>
                        </div>                        
                    </div>

                    <div class="row">
                        <div class="form-group col-md-3">
                            <label asp-for="EmpresaId" class="control-label">Empresa:</label>
                            @Html.DropDownListFor(n => n.EmpresaId, (SelectList)ViewBag.Empresas, "Selecione", new { @class = "form-control" })
                            <span asp-validation-for="EmpresaId" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-3">
                            <label asp-for="SenioridadeId" class="control-label">Senioridade:</label>
                            @Html.DropDownListFor(n => n.SenioridadeId, (SelectList)ViewBag.Senioridade, "Selecione", new { @class = "form-control" })
                            <span asp-validation-for="SenioridadeId" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-3">
                            <label asp-for="TipoContratacaoId" class="control-label">Tipo Contratação:</label>
                            @Html.DropDownListFor(n => n.TipoContratacaoId, (SelectList)ViewBag.TipoContratacao, "Selecione", new { @class = "form-control" })
                            <span asp-validation-for="TipoContratacaoId" class="text-danger"></span>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-md-3">
                            <label asp-for="GestorImediatoId" class="control-label">Gestor Imediato:</label>
                            @Html.DropDownListFor(n => n.GestorImediatoId, (SelectList)ViewBag.ListaGestores, "Selecione", new { @class = "form-control" })
                            <span asp-validation-for="GestorImediatoId" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-3">
                            <label asp-for="ValorHora" class="control-label">Valor Hora R$:</label>
                            <input asp-for="ValorHora" maxlength="10" class="form-control" placeholder="Digite o Valor Hora..." />
                            <span asp-validation-for="ValorHora" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-3">
                            <label asp-for="ValorMensal" class="control-label">Valor Mensal:</label>
                            <input asp-for="ValorMensal" maxlength="10" class="form-control" placeholder="Digite o Valor Mensal..." />
                            <span asp-validation-for="ValorMensal" class="text-danger"></span>
                        </div>

                        <div class="form-group col-md-3">
                            <label asp-for="ListaEspecialidadesId" class="control-label">Especialidades:</label><br />
                            <select id="ListaEspecialidadesId" style="width:400px;height:500px" class="form-control select" multiple="multiple" name="ListaEspecialidadesId">

                                @if (ViewBag.ListaEspecialidades != null)
                                    foreach (var item in ViewBag.ListaEspecialidades)
                                    {
                                        if (item.Selecionada == true)
                                        {
                                            <option selected="selected" value="@item.id">
                                                @item.DescricaoEspecialidade
                                            </option>
                                        }
                                        else
                                        {
                                            <option value="@item.id">
                                                @item.DescricaoEspecialidade
                                            </option>
                                        }
                                    }
                            </select>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-md-12">
                            <label asp-for="Observacao" class="control-label">Observação:</label>
                            <textarea asp-for="Observacao" class="form-control" placeholder="Observação..."></textarea>
                            <span asp-validation-for="Observacao" class="text-danger"></span>
                        </div>
                    </div>

                </div>
                <br />
                <div id="DivValidation" asp-validation-summary="ModelOnly" class=" text-danger"></div>
                <br />
                <div class="form-group">
                    <input type="submit" value="Salvar" class="btn btn-primary" />
                    <a asp-action="Index" class="btn btn-danger">Voltar</a>
                </div>
            </form>
        </div>
    </div>
</div>


@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
<script src="~/lib/Mask/jquery.mask.min.js"></script>
<script src="~/lib/jqueryui/jquery-ui.js"></script>
<script src="~/lib/bootstrap-multiselect/bootstrap-multiselect.js"></script>
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/Usuario.js")"></script>
}